Skip to main content
GET
/
v1
/
decision-sections
List decision section
curl --request GET \
  --url https://staging.api.us.aptlydone.com/settings/v1/decision-sections \
  --header 'Authorization: Bearer <token>'
{
  "statusCode": 200,
  "timestamp": "2026-01-08T06:33:21.007Z",
  "message": "Success",
  "data": {
    "page": 1,
    "limit": 10,
    "total": 100,
    "data": [
      {
        "id": "ac9559f4-4e4e-4875-8fcd-ed14ad850183",
        "tenantId": "c00ff798-020d-4b15-bf55-fad29786c6cd",
        "sectionName": "Finance Department",
        "isDeleted": false,
        "categories": [
          {
            "id": "4a7ed297-338c-4f62-82ce-d5e865b50ccb",
            "tenantId": "6a91b677-54b9-4ca0-b2d5-32c1d64f784f",
            "categoryName": "Finance",
            "isDeleted": false,
            "sectionId": "34270cee-9e1c-40bc-a6b8-470b58e6e3eb"
          }
        ],
        "createdAt": "2024-01-15T12:00:00Z"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
number

Page number

Required range: x >= 1
Example:

1

limit
number

Number of items per page

Required range: 1 <= x <= 100
Example:

10

tenantId
string
required

Tenant ID

Example:

"4ac43265-8b85-46a4-935d-9f1b469a428e"

sectionIds
string

Section IDs (comma separated)

Example:

"7393280b-4fad-4eac-91ad-10978bc9b630, 2b0325af-3908-4206-bd90-b34fcd7c60c5"

categoryIds
string

Category IDs (comma separated)

Example:

"e41b5aeb-4257-4ae8-9fa7-48ad22adc2e6, 02ae51d3-5205-4720-9e10-c894bdce8bbc"

Search

Example:

"Finance"

sortBy
string

Field to sort by

Example:

"id"

sortOrder
enum<string>
default:asc

Sort order (asc/desc)

Available options:
asc,
desc
Example:

"asc"

Response

200 - application/json

Decision sections list retrieved successfully

statusCode
number
required
Example:

200

timestamp
string
required
Example:

"2026-01-08T06:33:21.007Z"

message
string
required
Example:

"Success"

data
object